OroCRM Forums

Covering OroCRM topics, including community updates and company announcements.

Forums Forums OroCRM OroCRM – Installation/Technical Issues or Problems OroCRM – Installation Problems

This topic contains 10 replies, has 5 voices, and was last updated by  admin43 2 years, 4 months ago.

Starting from March 1, 2020 the forum has been switched to the read-only mode. Please head to StackOverflow for support.

  • Creator
    Topic
  • #26549
    MedoochDev
    MedoochDev
    Participant

    hi everyone,

    when i try to configure my first orocrm applications, i get this problems that i cant solve it.
    4 days of search and there is no news.

    i don’t understand the source of the problem, that tell me to check :
    If you have multiple PHP versions installed, you need to configure ORO_PHP_PATH variable with PHP binary path used by web server

    But ive installed all the requires and dependencies in my php path version.

    I’m on mac osx 10.10.3
    Mamp PRO 3.3
    Php version 5.5.26

    Php path : which php

Viewing 10 replies - 1 through 10 (of 10 total)
  • Author
    Replies
  • #26550

    Hi
    To work from UI the ORO_PHP_PATH should be available under www-data user. To install from console variable should be available for current user and passed to new php processes.
    After “composer install” try to run installation from command line

    and send occurred errors

    #26551
    MedoochDev
    MedoochDev
    Participant

    Hi, thank you for reply my message,

    So this is the result of execution the command

    Screen

    #26552

    Please scroll up a screen to lines with ERROR status

    #26553
    MedoochDev
    MedoochDev
    Participant

    Hi, this is the result :

    page1

    page2

    #26554

    Change memory limit to 512M or more and installation will continue

    #26555
    MedoochDev
    MedoochDev
    Participant

    Memory limit is already 512M, i change it to 1024M

    #26556

    carbae_2016
    Participant

    Hi MedoochDev
    How did you solve this little problem? If you have multiple PHP versions installed, you need to configure ORO_PHP_PATH variable with PHP binary path used by web server.
    MAMP
    Thank you

    #26557

    pilot1940
    Participant

    Stuck in the same place. MAMP PRO3

    #26558

    pilot1940
    Participant

    I figured this out.
    In MAMP PRO you need to be running ORO in a separate virtual host, that page an an option to add extra settings for the virtual host.

    I simply declared the ORO_PHP_PATH as an env variable.
    the command I used was SetEnv ORO_PHP_PATH /Applications/MAMP/bin/php/php5.5.26/

    Screenshot
    https://www.dropbox.com/s/g2rdrpyr4zck0nj/Screenshot%202016-06-20%2014.48.35.png?dl=0

    #26559

    admin43
    Participant

    For users who are installing on plesk, the ORO_PHP_PATH needs to setup at additional apache directive and then you need to make sure original php.ini memory_limit is at least 512MB….I noticed that the installation process is not pulling account specific php.ini on plesk. Plesk uses multiple php version.
    *Just note for people who are installing this for themselves or for their clients. Cheers.

Viewing 10 replies - 1 through 10 (of 10 total)

The forum ‘OroCRM – Installation/Technical Issues or Problems’ is closed to new topics and replies.

You will be redirected to [title]. Would you like to continue?

Yes No